IF EXISTS (SELECT type_desc, type FROM sys.procedures WITH(NOLOCK) WHERE NAME = 'SPTELETIP_TETKIKGUNCELLE' AND type = 'P')
     DROP PROCEDURE dbo.SPTELETIP_TETKIKGUNCELLE
GO
CREATE PROCEDURE [dbo].[SPTELETIP_TETKIKGUNCELLE]
@KIMLIKNO VARCHAR(15),
@TETKIKID INT,
@CEKIMTARIHI DATETIME, 
@ERISIMNUMARASI VARCHAR(30)
AS
BEGIN

    DECLARE @HATA VARCHAR(2000) =''

    IF @KIMLIKNO='' SET @HATA='Kimlikno boş olamaz'
    IF ISNULL(@TETKIKID,0)=0  AND @HATA='' SET @HATA='Tetkik ID boş olamaz'
    IF ISNULL(@CEKIMTARIHI,'')='' AND @HATA='' SET @HATA='Çekim tarihi boş olamaz'
    IF ISNULL(@ERISIMNUMARASI,'')='' AND @HATA='' SET @HATA='Cihaz erişim numarası boş olamaz'

    IF @HATA=''
    BEGIN
	   UPDATE HT SET HT.AccessionNo=@ERISIMNUMARASI, HT.CEKIMTARIHI=@CEKIMTARIHI FROM HTETKIK HT JOIN VWTETKIK ON VWTETKIK.HTETKIKID = HT.HTETKIKID  WHERE HT.HTETKIKID = @TETKIKID AND VWTETKIK.LTCKIMLIKNO = @KIMLIKNO

	   SELECT 100 AS SUNUCKOD,'Güncelleme Başarılı' AS SONUCMESAJ
    END
    ELSE
    BEGIN
	   SELECT 101 AS SUNUCKOD,@HATA AS SONUCMESAJ 
    END

END


